DRM_GEM_HANDLE_CREAT(9)

NAME
drm_gem_handle_create - create a gem handle for an object

SYNOPSIS

int drm_gem_handle_create(struct drm_file * file_priv, struct drm_gem_object * obj, u32 * handlep);

ARGUMENTS

file_priv
    drm file-private structure to register the handle for

obj
    object to register

handlep
    pionter to return the created handle to the caller

DESCRIPTION

Create a handle for this object. This adds a handle reference to the object, which includes a regular reference count. Callers will likely want to dereference the object afterwards.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT